/* Satoshi */
@font-face {
  font-family: 'Satoshi';
  src: url('/assets/fonts/Satoshi.woff2') format('woff2'),
       url('/assets/fonts/Satoshi.woff') format('woff'),
       url('/assets/fonts/Satoshi.ttf') format('truetype');
  font-weight: 300 900;
  font-style: normal;
}

:root {
    --color-gray-900: #182D31;

  }

  .k-header-title-text {
    font-family: 'Satoshi', sans-serif;
    font-weight: 750 !important;
    font-feature-settings: "ss01" 1;
    color: #141619;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }

  .k-stat-value {
    font-family: 'Satoshi', sans-serif;
    font-weight: 650 !important;
    font-feature-settings: "ss01" 1;
    color: #23262B;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }

  .k-headline-field h2 {
    font-family: 'Satoshi', sans-serif;
    font-weight: 680 !important;
    font-feature-settings: "ss01" 1;
    color: #23262B;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }
  
  .k-topbar::after {
    float: right;
    content: '';
    margin-top: 10px;
    margin-right: 10px;
    width: 150px;
    height: 35px;
    background-image: url('/assets/img/visualbook-logo.svg');
    background-repeat: no-repeat;
    background-size: contain;
    clear: right;
  }

  .k-topbar::after:hover {
    cursor: pointer;
  }


.k-cards .k-card-content {
  padding: 20% !important;
}

.k-cards .k-card-content .k-image {
  object-fit: contain;
}

.k-item[data-layout=cards] img[src$=".svg"] {
  padding: 20%;
}

.k-box {
  color: gray;
}

.k-box .k-button-text {
  color: initial;
}


.k-box[data-theme="positive"] .k-text {
  color: #355c15;
}

.k-box[data-theme="info"] .k-text {
  color: #00587F;
}

.k-box[data-theme="negative"] .k-text {
  color: #720f2d;
}

.k-activation {
  display: none !important;
}

.k-button.k-activation-button.k-panel-menu-button {
  display: none !important;
}

.k-section-name-info [data-theme=white] {
  background-color: #fff1e9;
  border: 1px solid rgba(254, 27, 63, 0.4);
  color: #fe1b3f;
  box-shadow: none;
}

.k-section-name-info [data-theme=white] .k-icon {
  fill: #fe1b3f;
}

.k-section-name-info [data-theme=info] {
  background-color: #262626;
}

.k-section-name-info [data-theme=info] .k-icon {
  fill: #e0e0e0;
}

.k-section-name-info [data-theme=info] .k-text {
  color: #e0e0e0;
}

.k-section-name-info.k-label.k-section-label {
  display: none !important;
}

.k-empty .k-icon {
  display: none;
}

/* Skryje celá tlačítka s ikonou mimo button group */
button.k-status-icon[aria-disabled="true"]:not(.k-button-group button) {
  display: none;
}

/* Skryje pouze ikonu v rámci button group, ale ponechá text */
.k-button-group button.k-status-icon[aria-disabled="true"] .k-button-icon {
  display: none;
}

.k-button-group button.k-status-icon[aria-disabled="true"] .k-button-text {
  display: inline; /* Ujistěte se, že text zůstane viditelný */
}


button.k-status-icon[aria-disabled="true"] {
  cursor: default;
  pointer-events: none;
}

.k-visualbook-media-button .k-button {
  background-color: #e0e0e0;
  color: #161616;
}

.k-visualbook-media-button .k-button:hover {
  background-color: #f5b2b0;
  cursor: pointer;
  color: #740e14;
}